Package fr.gouv.vitam.processing.common.exception

# Class ProcessingTooManyUnitsFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.processing.common.exception.ProcessingException
fr.gouv.vitam.processing.common.exception.ProcessingTooManyUnitsFoundException

All Implemented Interfaces:
  `Serializable`

public class ProcessingTooManyUnitsFoundException extends ProcessingException
Define a Processing Exception to be thrown when an error occurred, not a fatal error

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessingTooManyUnitsFoundException(String message)`
  `ProcessingTooManyUnitsFoundException(String message, String unitId, String unitGuid, boolean validGuid)`
  `ProcessingTooManyUnitsFoundException(String message, Throwable cause)`
  `ProcessingTooManyUnitsFoundException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getUnitGuid()`
  `String`
  `getUnitId()`
  `boolean`
  `isValidGuid()`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessingTooManyUnitsFoundException

    public ProcessingTooManyUnitsFoundException(String message, Throwable cause)
    Parameters:
      `message` - associated message
      `cause` - associated cause

  - ### ProcessingTooManyUnitsFoundException

    public ProcessingTooManyUnitsFoundException(Throwable cause)
    Parameters:
      `cause` - associated cause

  - ### ProcessingTooManyUnitsFoundException

    public ProcessingTooManyUnitsFoundException(String message, String unitId, String unitGuid, boolean validGuid)
    Parameters:
      `message` - associated message
      `unitId` -
      `unitGuid` -

  - ### ProcessingTooManyUnitsFoundException

    public ProcessingTooManyUnitsFoundException(String message)
    Parameters:
      `message` - associated message

- ## Method Details

  - ### getUnitGuid

    public String getUnitGuid()
    Returns:
      the unit guid (system id)

  - ### getUnitId

    public String getUnitId()
    Returns:
      the unit id

  - ### isValidGuid

    public boolean isValidGuid()